com.holonplatform.vaadin.flow

## Interface VaadinHttpRequest

- All Superinterfaces:
    com.holonplatform.http.HttpHeaders, com.holonplatform.http.HttpMessage<String>, com.holonplatform.http.HttpRequest, com.holonplatform.core.messaging.Message<String,List<String>>, com.holonplatform.core.messaging.MessageHeaders<List<String>>
  All Known Implementing Classes:
    DefaultVaadinHttpRequest

      public interface VaadinHttpRequest
      extends com.holonplatform.http.HttpRequest

  `HttpRequest` using Vaadin `VaadinRequest`.
  Since:
    5.2.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.http.HttpHeaders

      `ACCEPT, ACCEPT_CHARSET, ACCEPT_ENCODING, ACCEPT_LANGUAGE, ACCEPT_RANGES, AGE, ALLOW, AUTHORIZATION, CACHE_CONTROL, CONNECTION, CONTENT_DISPOSITION, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_RANGE, CONTENT_TYPE, COOKIE, DATE, ETAG, EXPECT, EXPIRES, FROM, HOST, IF_MATCH, IF_MODIFIED_SINCE, IF_NONE_MATCH, IF_RANGE, IF_UNMODIFIED_SINCE, LAST_MODIFIED, LINK, LOCATION, MAX_FORWARDS, ORIGIN, PRAGMA, PROXY_AUTHENTICATE, PROXY_AUTHORIZATION, RANGE, REFERER, RETRY_AFTER, SCHEME_BASIC, SCHEME_BEARER, SCHEME_DIGEST, SERVER, SET_COOKIE, TRAILER, TRANSFER_ENCODING, UPGRADE, USER_AGENT, VARY, VIA, WARNING, WWW_AUTHENTICATE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VaadinHttpRequest` | `create(com.vaadin.flow.server.VaadinRequest request)` Create a `VaadinHttpRequest` using given `VaadinRequest`.
    `String` | `getContextPath()` Returns the portion of the request URI that indicates the context of the request.

    - ### Methods inherited from interface com.holonplatform.http.HttpRequest

      `getBody, getMethod, getMultiValueRequestParameter, getRequestCookie, getRequestHost, getRequestParameter, getRequestParameters, getRequestPath`

    - ### Methods inherited from interface com.holonplatform.http.HttpMessage

      `getProtocol`

    - ### Methods inherited from interface com.holonplatform.core.messaging.Message

      `getPayload, getPayloadType`

    - ### Methods inherited from interface com.holonplatform.http.HttpHeaders

      `getAuthorizationBasicCredentials, getAuthorizationBearer, getContentLength, getDate, getHeaderValue, getLocale, getLocales, getLocation`

    - ### Methods inherited from interface com.holonplatform.core.messaging.MessageHeaders

      `getHeader, getHeaders`

- - ### Method Detail

    - #### getContextPath

          String getContextPath()

      Returns the portion of the request URI that indicates the context of the request.
      Returns:
        a String specifying the portion of the request URI that indicates the context of the request

    - #### create

          static VaadinHttpRequest create(com.vaadin.flow.server.VaadinRequest request)

      Create a `VaadinHttpRequest` using given `VaadinRequest`.
      Parameters:
        `request` - Vaadin request (not null)
      Returns:
        A `VaadinHttpRequest` backed by given request

Copyright © 2019 The Holon Platform. All rights reserved.